KUBERNETES(1)

NAME

kubeadm alpha kubeconfig user - Outputs a kubeconfig file for an additional user

SYNOPSIS

kubeadm alpha kubeconfig user [OPTIONS]

DESCRIPTION

Outputs a kubeconfig file for an additional user.

Alpha Disclaimer: this command is currently alpha.

OPTIONS

--apiserver-advertise-address=""
    The IP address the API server is accessible on

--apiserver-bind-port=6443
    The port the API server is accessible on

--cert-dir="/etc/kubernetes/pki"
    The path where certificates are stored

--client-name=""
    The name of user. It will be used as the CN if client certificates are created

--org=[]
    The orgnizations of the client certificate. It will be used as the O if client certificates are created

--token=""
    The token that should be used as the authentication mechanism for this kubeconfig, instead of client certificates

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Outputs a kubeconfig file for an additional user named foo
      kubeadm alpha kubeconfig user --client-name=foo

SEE ALSO

kubeadm-alpha-kubeconfig(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!